Skip to main content
Back to API List To update an existing language’s configuration for an AI Agent.
FieldValue
MethodPUT
Endpointhttps://{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Language Configuration; Admin Console: Language Settings > Language Management

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired

Sample Request

curl -X PUT \
https://'{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language' \
--header 'Content-Type: application/json' \
--header 'auth: YOUR_JWT_ACCESS_TOKEN' \
--data '{
"updateLanguage" : "",
"fileId":"",
"multiLingualConfigurations":{
"nluLanguage": "language_code",
"inputTranslation": true,
"responseTranslation": false
}
}'

Body Parameters

ParameterSub-ParameterDescriptionRequired
updateLanguageThe language to be enabled based on the language code.Required
fieldThe file ID for handling the file upload if the fileUpload language enablement is selected.Required
multiLingualConfigurationsRequired
multiLingualConfigurations.nluLanguageRefers to the NLU language code of the bot language.Required
multiLingualConfigurations.inputTranslationRefers to True/False setting for the input language translation to English.Required
multiLingualConfigurations.responseTranslationRefers to the True/False setting for the response language translation to English.Required

Sample Response

[
{
"message": "Updated language successfully",
"configurationDetails": {
"dialogs":3,
"alerts":0,
"actions":0,
"knowledgetTasks":0,
"smallTalk":1,
"panels":0,
"widgets":0 }
}
]